PaidGoods

Invoice and delivery page data

GET
/v1/public/stores/{storeId}/invoices/{uniqueId}

Path Parameters

storeId*string
uniqueId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/public/stores/string/invoices/string"
{  "uniqueId": "string",  "number": -9007199254740991,  "env": "live",  "status": "string",  "paymentSummary": "string",  "fulfilmentSummary": "string",  "email": "string",  "currency": "string",  "totals": {    "subtotalMinor": -9007199254740991,    "discountMinor": -9007199254740991,    "shippingMinor": -9007199254740991,    "taxMinor": -9007199254740991,    "totalMinor": -9007199254740991,    "currency": "string",    "methodFeeMinor": -9007199254740991,    "paidMinor": -9007199254740991  },  "createdAt": "string",  "paidAt": "string",  "expiresAt": "string",  "paymentMethod": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "label": "string",    "provider": "string"  },  "payment": {    "state": "string",    "amountMinor": -9007199254740991,    "currency": "string",    "redirectUrl": "string",    "instructionsMd": "string",    "instructionsHtml": "string",    "payLink": "string",    "requireProof": true,    "proofDescription": "string",    "failureMessage": "string",    "crypto": {      "asset": "BTC",      "ticker": "string",      "assetName": "string",      "decimals": -9007199254740991,      "chain": "bitcoin",      "network": "mainnet",      "address": "string",      "reference": "string",      "token": "string",      "amount": "string",      "uri": "string",      "received": "string",      "pending": "string",      "remaining": "string",      "state": "awaiting",      "confirmations": -9007199254740991,      "confirmationsRequired": -9007199254740991,      "expiresAt": "string",      "rate": {        "price": "string",        "source": "string",        "at": "string"      },      "fiatCurrency": "string",      "transactions": [        {          "txid": "string",          "amount": "string",          "confirmations": -9007199254740991,          "state": "string"        }      ],      "custody": "watch",      "transfers": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "kind": "sweep",          "state": "queued",          "amount": "string",          "net": "string",          "fee": "string",          "destination": "string",          "destinationSource": "payout",          "txHash": "string",          "explorerUrl": "string",          "confirmedAt": "string",          "skippedReason": "string"        }      ],      "refundAddressNeeded": true,      "refundAddress": "string"    }  },  "accessRequired": true,  "lines": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "productName": "string",      "variantName": "string",      "qty": -9007199254740991,      "totalMinor": -9007199254740991,      "deliveryType": "string",      "deliverablesLabel": "string",      "instructionsMd": "string",      "instructionsHtml": "string",      "deliveryStatus": "waiting_payment",      "deliveryMessage": "string",      "warranty": {        "days": -9007199254740991,        "until": "string",        "active": true,        "termsHtml": "string"      },      "preorder": {        "note": "string"      },      "deliveryEstimate": {        "label": "string",        "note": "string"      },      "deliveredQty": -9007199254740991,      "items": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "kind": "serial",          "value": "string",          "file": {            "name": "string",            "size": 0,            "downloadPath": "string"          },          "replaced": true,          "revoked": true,          "isReplacement": true,          "replacedAt": "string",          "replacementReason": "string"        }      ],      "serviceState": "string",      "shippingState": "string",      "tracking": {        "carrier": "string",        "number": "string",        "url": "string"      }    }  ],  "thankYouMd": "string",  "thankYouHtml": "string",  "redirectUrl": "string",  "store": {    "name": "string",    "supportEmail": "string"  },  "pendingFields": [    {      "lineId": "e698cdee-c4ef-4d12-b0ea-7c98b2fc64a8",      "productName": "string",      "variantName": "string",      "fields": [        {          "key": "string",          "label": "string",          "type": "text",          "placeholder": "string",          "hint": "string",          "defaultValue": "string",          "required": true,          "options": [            "string"          ],          "pattern": "string",          "minSelections": -9007199254740991,          "maxSelections": -9007199254740991,          "conditionAddonIds": [            "985a0c88-d4e4-4c33-9c67-080cc9c45a5b"          ]        }      ]    }  ],  "storeCreditMinor": -9007199254740991,  "refunds": [    {      "amountMinor": -9007199254740991,      "currency": "string",      "kind": "provider"    }  ],  "reviewInviteUrl": "string"}